Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.proxy
Class ScriptProxy

    java.lang.Object
      org.directwebremoting.proxy.ScriptProxy

Direct Known Subclasses:
  Effect, Engine, EnginePrivate, Util

    public class ScriptProxy

extends java.lang.Object

Class to help people send scripts to collections of browsers. ScriptProxy also is the base class for the Java implementations of Util and Scriptaculous.Effect.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`ScriptProxy()` Http thread constructor
`ScriptProxy(java.util.Collection scriptSessions)` Non-http thread constructor
`ScriptProxy(ScriptSession scriptSession)` Http thread constructor

Method Summary
`void` | `addFunctionCall(java.lang.String funcName)` Call a named function with no parameters.
`void` | `addFunctionCall(java.lang.String funcName, java.lang.Object param1)` Call a named function with one parameter.
`void` | `addFunctionCall(java.lang.String funcName, java.lang.Object param1, java.lang.Object param2)` Call a named function with one parameter.
`void` | `addFunctionCall(java.lang.String funcName, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Call a named function with one parameter.
`void` | `addFunctionCall(java.lang.String funcName, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3, java.lang.Object param4)` Call a named function with one parameter.
`void` | `addFunctionCall(java.lang.String funcName, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3, java.lang.Object param4, java.lang.Object param5)` Call a named function with one parameter.
`void` | `addScript(ScriptBuffer script)` Utility to add the given script to all known browsers.
`void` | `addScriptSession(ScriptSession scriptSession)`
`void` | `addScriptSessions(java.util.Collection addScriptSessions)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptProxy

    public ScriptProxy()

  Http thread constructor

### ScriptProxy

    public ScriptProxy(ScriptSession scriptSession)

  Http thread constructor

  Parameters:
    `scriptSession` - The browser to alter

### ScriptProxy

    public ScriptProxy(java.util.Collection scriptSessions)

  Non-http thread constructor

  Parameters:
    `scriptSessions` - The browsers to alter

Method Detail

### addScriptSession

    public void addScriptSession(ScriptSession scriptSession)

  Parameters:
    `scriptSession` -

### addScriptSessions

    public void addScriptSessions(java.util.Collection addScriptSessions)

  Parameters:
    `addScriptSessions` -

### addFunctionCall

    public void addFunctionCall(java.lang.String funcName)

  Call a named function with no parameters.

  Parameters:
    `funcName` - The name of the function to call

### addFunctionCall

    public void addFunctionCall(java.lang.String funcName,
                                java.lang.Object param1)

  Call a named function with one parameter.

  Parameters:
    `funcName` - The name of the function to call
    `param1` - The first parameter to the above function

### addFunctionCall

    public void addFunctionCall(java.lang.String funcName,
                                java.lang.Object param1,
                                java.lang.Object param2)

  Call a named function with one parameter.

  Parameters:
    `funcName` - The name of the function to call
    `param1` - The first parameter to the above function
    `param2` - The second parameter to the above function

### addFunctionCall

    public void addFunctionCall(java.lang.String funcName,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3)

  Call a named function with one parameter.

  Parameters:
    `funcName` - The name of the function to call
    `param1` - The first parameter to the above function
    `param2` - The second parameter to the above function
    `param3` - The third parameter to the above function

### addFunctionCall

    public void addFunctionCall(java.lang.String funcName,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3,
                                java.lang.Object param4)

  Call a named function with one parameter.

  Parameters:
    `funcName` - The name of the function to call
    `param1` - The first parameter to the above function
    `param2` - The second parameter to the above function
    `param3` - The third parameter to the above function
    `param4` - The fouth parameter to the above function

### addFunctionCall

    public void addFunctionCall(java.lang.String funcName,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3,
                                java.lang.Object param4,
                                java.lang.Object param5)

  Call a named function with one parameter.

  Parameters:
    `funcName` - The name of the function to call
    `param1` - The first parameter to the above function
    `param2` - The second parameter to the above function
    `param3` - The third parameter to the above function
    `param4` - The fourth parameter to the above function
    `param5` - The fifth parameter to the above function

### addScript

    public void addScript(ScriptBuffer script)

  Utility to add the given script to all known browsers.

  Parameters:
    `script` - The Javascript to send to the browsers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD